Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryDefInFieldDeclarationRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryDefInFieldDeclarationRule

- If a field has a visibility modifier or a type declaration, then the def keyword is unneeded. For instance, 'static def constraints = {}' is redundant and can be simplified to 'static constraints = {}.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority